function f = normdensity(z, mu, sigma);
% Calculates the Density Function of the Normal Distribution
% with mean mu
% and standard deviation sigma
% at a point z
% sigma must be a positive non-zero real number
% John C Frain
% 27 October 2009
if sigma <= 0
fprintf('Invalid input\n');
f = NaN;
else
f = (1/(sqrt(2*pi)*sigma))*exp(-(z-mu)^2/(2*sigma^2));
end